import 'dart:async';

import 'package:flutter/services.dart';
import 'inspector_request.dart';
import 'inspector_response.dart';

class MethodChannelController {
  static const MethodChannel _channel =
      const MethodChannel('stetho_network_inspector');

  static Future<dynamic> requestWillBeSent(
          FlutterStethoInspectorRequest request) =>
      _channel.invokeMethod('requestWillBeSent', request.toMap());

  static Future<dynamic> responseHeadersReceived(
          FlutterStethoInspectorResponse response) =>
      _channel.invokeMethod('responseHeadersReceived', response.toMap());

  static Future<dynamic> interpretResponseStream(String id) =>
      _channel.invokeMethod('interpretResponseStream', id);

  static Future<dynamic> responseReadFinished(String id) =>
      _channel.invokeMethod('responseReadFinished', id);

  static Future<dynamic> responseReadFailed(List<String> idError) =>
      _channel.invokeMethod('responseReadFailed', idError);

  static Future<dynamic> onDataReceived(Map<String, Object> map) =>
      _channel.invokeMethod('onDataReceived', map);

  static Future<dynamic> onDone(String id) =>
      _channel.invokeMethod('onDone', id);

  static Future<dynamic> initialize() => _channel.invokeMethod('initialize');
}
